Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Persistent_IntId Class Reference

Helper class for TAO_Persistent_Bindings_Map: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of a Persistent Naming Context. More...

`#include <Persistent_Entries.h>`

List of all members.

## Public Methods
| TAO_Persistent_IntId (void)
| Constructor. More...
| TAO_Persistent_IntId (char *obj_ref, CosNaming::BindingType type)
| Constructor. More...
| TAO_Persistent_IntId (const TAO_Persistent_IntId &rhs)
| Copy constructor. More...
| ~TAO_Persistent_IntId (void)
| Destructor. More...
void | operator= (const TAO_Persistent_IntId &rhs)
| Assignment operator. More...
## Public Attributes
const char * | ref_
| Stringified IOR to be stored in a Persistent Naming Context. More...
CosNaming::BindingType | type_
| Binding type for <ref_>. More...

## Detailed Description

Helper class for TAO_Persistent_Bindings_Map: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of a Persistent Naming Context.

This class holds a strigified IOR and a binding type, so they can be stored together as a <value> for a <key> in a hash table holding the state of a Persistent Naming Context. Memory for the ior isn't allocated/deallocated, this class just copies a pointer.

## Constructor & Destructor Documentation

TAO_Persistent_IntId::TAO_Persistent_IntId | ( | void |  | ) |

| Constructor.

TAO_Persistent_IntId::TAO_Persistent_IntId | ( | char * | obj_ref,
|  | CosNaming::BindingType | type
| ) |

| Constructor.

TAO_Persistent_IntId::TAO_Persistent_IntId | ( | const TAO_Persistent_IntId & | rhs | ) |

| Copy constructor.

TAO_Persistent_IntId::~TAO_Persistent_IntId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void TAO_Persistent_IntId::operator= | ( | const TAO_Persistent_IntId & | rhs | ) |

| Assignment operator.

## Member Data Documentation

const char* TAO_Persistent_IntId::ref_

| Stringified IOR to be stored in a Persistent Naming Context.

CosNaming::BindingType TAO_Persistent_IntId::type_

| Binding type for <ref_>.

The documentation for this class was generated from the following files:

- Persistent_Entries.h
- Persistent_Entries.cpp